from typing import List, Dict
from .results import UbsAnalysisResult


class YaraResult(UbsAnalysisResult):
    def __init__(
        self, sha256: str = None, s3_version: str = None, matches: List[Dict] = None
    ):
        super().__init__(sha256=sha256)
        self.s3_version = s3_version
        self.matches = matches
