from zipfile import ZipFile


def extract_zip(zip_file):
    """
    Takes an open fileobj and returns contents of first file extracted from archive.
    @param zip_file: open zipped file
    @return: contents of first file from archive
    """
    with ZipFile(zip_file) as zf:
        return zf.read(zf.namelist()[0])
